# $Revision: 1.52.2.6 $, $Date: 2007/01/25 18:25:50 $
#
# Conditional build:
%bcond_without	python
#
Summary:	SELinux library and simple utilities
Summary(pl):	Biblioteka SELinux i proste narzdzia
Name:		libselinux
Version:	1.32
Release:	3
Epoch:		0
License:	Public Domain
Group:		Libraries
Source0:	http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz
# Source0-md5:	eac812a6f35e0e04ddad307abd21d014
Patch0:		%{name}-vcontext-selinux.patch
Patch1:		%{name}-thread.patch
URL:		http://www.nsa.gov/selinux/
BuildRequires:	glibc-devel >= 6:2.3
BuildRequires:	libsepol-devel >= 1.14
%{?with_python:BuildRequires:	python-devel}
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	sed >= 4.0
%{?with_python:BuildRequires:	swig-python}
Requires:	libsepol >= 1.14
Obsoletes:	selinux-libs
Conflicts:	SysVinit < 2.86-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions. Required for any applications that use the SELinux API.

%description -l pl
Security-enhanced Linux jest prototypem jdra Linuksa i wielu
aplikacji uytkowych o funkcjach podwyszonego bezpieczestwa.
Zaprojektowany jest tak, aby w prosty sposb ukaza znaczenie
obowizkowej kontroli dostpu dla spoecznoci linuksowej. Ukazuje
rwnie jak tak kontrol mona doda do istniejcego systemu typu
Linux. Jdro SELinux zawiera nowe skadniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczestwa systemu operacyjnego
Flask. Te elementy zapewniaj oglne wsparcie we wdraaniu wielu 
typw polityk obowizkowej kontroli dostpu, wczajc te wzorowane 
na: Type Enforcement (TE), kontroli dostpu opartej na rolach (RBAC) 
i zabezpieczeniach wielopoziomowych.

libselinux dostarcza API dla aplikacji SELinux aby mogy pobiera 
i ustawia procesy i konteksty plikw w celu korzystania z polityki
bezpieczestwa. Biblioteka jest wymagana przez wszystkie aplikacje,
ktre uywaj API SELinux.

%package devel
Summary:	Header files and devel documentation
Summary(pl):	Pliki nagwkowe i dokumentacja programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	selinux-libs-devel

%description devel
Header files and devel documentation for SELinux libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja programistyczna bibliotek SELinux.

%package static
Summary:	Static SELinux library
Summary(pl):	Biblioteki statyczne SELinux
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	selinux-static

%description static
SELinux static libraries.

%description static -l pl
Biblioteki statyczne SELinux.

%package utils
Summary:	SELinux utils
Summary(pl):	Narzdzia SELinux
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	selinux-utils

%description utils
SELinux utils.

%description utils -l pl
Narzdzia SELinux.

%package -n python-selinux
Summary:	Python binding for SELinux library
Summary(pl):	Wizania Pythona do biblioteki SELinux
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-selinux
Python binding for SELinux library.

%description -n python-selinux -l pl
Wizania Pythona do biblioteki SELinux.

%prep
%setup -q
%patch0 -p1
%ifarch i386 ppc sparc sparcv9 sparc64
%patch1 -p1
%endif

# "-z defs" doesn't mix with --as-needed when some object needs symbols from
# ld.so (because of __thread variable in this case)
sed -i -e 's/-z,defs,//' src/Makefile

%build
%{__make} all %{?with_python:pywrap} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64" \
	LIBDIR=%{_libdir} \
	TLSFLAGS=""

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install %{?with_python:install-pywrap} \
	LIBDIR="$RPM_BUILD_ROOT%{_libdir}" \
	SHLIBDIR="$RPM_BUILD_ROOT/%{_lib}" \
	DESTDIR="$RPM_BUILD_ROOT"

# make symlink across / absolute
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libselinux.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libselinux.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE
%attr(755,root,root) /%{_lib}/libselinux.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libselinux.so
%{_includedir}/selinux
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libselinux.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*.8*

%if %{with python}
%files -n python-selinux
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_selinux.so
%{py_sitedir}/selinux.py
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libselinux.spec,v $
Revision 1.52.2.6  2007/01/25 18:25:50  hawk
- kill __thread on i386
- release 3

Revision 1.52.2.5  2007/01/21 21:25:39  qboosh
- sparc archs cleanup

Revision 1.52.2.4  2007/01/21 19:51:17  twittner
- sorry - again rel.2 (auto-ac tag exists)

Revision 1.52.2.3  2007/01/21 19:46:27  twittner
- back to rel. 1 (contains only ppc building fix)

Revision 1.52.2.2  2007/01/21 18:59:54  zbyniu
- kill __thread on ppc too; rel 2

Revision 1.52.2.1  2007/01/17 11:54:35  zbyniu
- gcc 3.3 compability

Revision 1.52  2007/01/12 09:15:38  zbyniu
- support for capability context from vserver in selinux

Revision 1.51  2006/11/01 09:42:26  pluto
- BR: swig-python.

Revision 1.50  2006/10/31 22:47:40  qboosh
- updated to 1.32

Revision 1.49  2006/07/30 15:08:52  sparky
- pass rpmldflags

Revision 1.48  2006/03/19 12:02:14  qboosh
- updated to 1.30

Revision 1.47  2005/12/27 09:02:57  qboosh
- added python bcond
- pass LIBDIR to make to avoid -L/usr/lib on lib64-based platforms
- release 2

Revision 1.46  2005/12/21 22:49:47  qboosh
- updated to 1.28; depends on libsepol now

Revision 1.45  2005/11/22 10:05:41  qboosh
- typo

Revision 1.44  2005/11/22 09:54:28  qboosh
- conflicts with SysVinit before selinux updates (< 2.86-4)
- release 2

Revision 1.43  2005/09/22 15:55:09  arekm
- up to 1.26

Revision 1.42  2005/08/16 16:37:21  arekm
- up to 1.25.2

Revision 1.41  2005/06/27 00:55:17  undefine
- up to 1.24

Revision 1.40  2005/03/11 23:18:45  qboosh
- updated to 1.22

Revision 1.39  2005/01/08 16:58:41  qboosh
- updated to 1.20; utils in /usr/sbin now

Revision 1.38  2004/12/26 22:40:02  qboosh
- grrr, 403 now; added download URL

Revision 1.37  2004/12/19 19:35:02  radek
- release 2: -D_FILE_OFFSET_BITS=64

Revision 1.36  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.35  2004/11/04 19:48:32  qboosh
- typo

Revision 1.34  2004/11/04 19:26:34  qboosh
- added doc

Revision 1.33  2004/11/04 18:20:01  qboosh
- updated to final 1.18, removed obsolete patches

Revision 1.32  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.31  2004/10/12 21:54:24  mmazur
- rel 3 for th

Revision 1.30  2004/09/26 14:15:48  havner
- rel 2

Revision 1.29  2004/09/26 14:13:35  pluto
- fixed build on alpha (I hope).

Revision 1.28  2004/09/26 05:34:56  pluto
- TODO += http://gcc.gnu.org/PR17674.

Revision 1.27  2004/09/22 20:17:42  aflinta
- fetch source from drop in, cause it is not avaible on ftp, but fedora got it from somewhere

Revision 1.26  2004/09/22 20:06:23  aflinta
- up to version 1.17.13

Revision 1.25  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.24  2004/08/28 22:07:29  qboosh
- updated to 1.16

Revision 1.23  2004/07/02 23:00:02  qboosh
- updated to 1.14

Revision 1.22  2004/05/28 19:16:01  qboosh
- fixed files

Revision 1.21  2004/05/28 17:13:13  arekm
- updated to 1.12

Revision 1.20  2004/04/13 05:01:33  agaran
- update to 1.10

Revision 1.19  2004/03/14 18:41:16  ankry
- pl fixes

Revision 1.18  2004/03/13 22:45:20  qboosh
- updated to 1.8

Revision 1.17  2004/02/26 05:14:00  pluto
- epoch, strict deps.

Revision 1.16  2004/02/24 12:55:33  qboosh
- updated to 1.6, removed obsolete patches

Revision 1.15  2004/02/04 22:56:48  arekm
- update from fedora

Revision 1.14  2004/01/15 14:47:47  qboosh
- added URL

Revision 1.13  2004/01/15 14:36:37  qboosh
- requires glibc 2.3

Revision 1.12  2003/12/27 12:25:12  arekm
- rel 3 (is_selinux_enabled() returns only 1 or 0)

Revision 1.11  2003/12/26 18:23:27  arekm
- added fedora patches (wrapper for socket api; mntpoint location; more options)

Revision 1.10  2003/12/19 13:43:24  jajcus
- use proper libdirs (needed for amd64)

Revision 1.9  2003/12/10 21:27:15  qboosh
- updated to 1.4 (lib moved to /, no longer requires attr)

Revision 1.8  2003/10/19 22:36:57  arekm
- updated to 1.2

Revision 1.7  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.6  2003/06/26 22:47:30  qboosh
- updated makefile patch to use proper CC and OPTFLAGS and add missing SONAME
  (all dependent libs/progs probably must be relinked now...)

Revision 1.5  2003/06/18 11:25:40  michuz
- added md5sum

Revision 1.4  2003/06/18 11:21:01  michuz
- added provides

Revision 1.3  2003/06/18 11:18:46  michuz
- fixed %%files

Revision 1.2  2003/06/18 11:16:13  michuz
- addad obsoletes

Revision 1.1  2003/06/18 11:11:31  michuz
- adapterized (stolen from RH)
- added polish translation

* Wed May 27 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version
